
-- Erpicatura.lua
-- author: Peppe978

Erpicatura = {};

function Erpicatura.prerequisitesPresent(specializations)
    return true;
end;

function Erpicatura:load(xmlFile)
	self.isErpicatura = true
	self.cultivatorForceLimitToField = false;
	self.cultivatorLimitToField = true;
end;
function Erpicatura:delete()
end;
function Erpicatura:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Erpicatura:keyEvent(unicode, sym, modifier, isDown)
end;
function Erpicatura:update(dt)

	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.Erpicatura) then
			self.cultivatorLimitToField = not self.cultivatorLimitToField;
		end;
	end;

end;
function Erpicatura:updateTick(dt)
end;
function Erpicatura:draw()	
	if self.cultivatorLimitToField then
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Erpicatura_on"), g_i18n:getText("Erpicatura")),InputBinding.Erpicatura);
	else
		g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Erpicatura_off"), g_i18n:getText("Erpicatura")),InputBinding.Erpicatura);
	end;
end;